fse1.vo

## Class EventoSanitario

- java.lang.Object
- - fse1.vo.EventoSanitario

-     public class EventoSanitario
      extends java.lang.Object

  EventoSanitario rappresenta il contatto avuto da un assistito con le strutture sanitarie del SSN o con i medici o con le farmacie, per usufruire dell'erogazione di prestazioni sanitarie o farmaci o certificati di malattia.
  Author:
    BottalicoE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventoSanitario()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDataEvento()`
    `EventoCertificazione` | `getEventoCertificazione()`
    `EventoEmergenza` | `getEventoEmergenza()`
    `EventoFarmaceutico` | `getEventoFarmaceutico()`
    `EventoRicovero` | `getEventoRicovero()`
    `EventoSpecialistico` | `getEventoSpecialistico()`
    `java.lang.String` | `getFlagConsenso()`
    `java.lang.String` | `getIdEvento()`
    `java.lang.String` | `getStatoEvento()`
    `java.lang.String` | `getTipoEvento()`
    `void` | `setDataEvento(java.lang.String dataEvento)`
    `void` | `setEventoCertificazione(EventoCertificazione eventoCertificazione)`
    `void` | `setEventoEmergenza(EventoEmergenza eventoEmergenza)`
    `void` | `setEventoFarmaceutico(EventoFarmaceutico eventoFarmaceutico)`
    `void` | `setEventoRicovero(EventoRicovero eventoRicovero)`
    `void` | `setEventoSpecialistico(EventoSpecialistico eventoSpecialistico)`
    `void` | `setFlagConsenso(java.lang.String flagConsenso)`
    `void` | `setIdEvento(java.lang.String idEvento)`
    `void` | `setStatoEvento(java.lang.String statoEvento)`
    `void` | `setTipoEvento(java.lang.String tipoEvento)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventoSanitario

          public EventoSanitario()

  - ### Method Detail

    - #### getDataEvento

          public java.lang.String getDataEvento()

    - #### setDataEvento

          public void setDataEvento(java.lang.String dataEvento)

    - #### getEventoCertificazione

          public EventoCertificazione getEventoCertificazione()

    - #### setEventoCertificazione

          public void setEventoCertificazione(EventoCertificazione eventoCertificazione)

    - #### getEventoEmergenza

          public EventoEmergenza getEventoEmergenza()

    - #### setEventoEmergenza

          public void setEventoEmergenza(EventoEmergenza eventoEmergenza)

    - #### getEventoFarmaceutico

          public EventoFarmaceutico getEventoFarmaceutico()

    - #### setEventoFarmaceutico

          public void setEventoFarmaceutico(EventoFarmaceutico eventoFarmaceutico)

    - #### getEventoRicovero

          public EventoRicovero getEventoRicovero()

    - #### setEventoRicovero

          public void setEventoRicovero(EventoRicovero eventoRicovero)

    - #### getEventoSpecialistico

          public EventoSpecialistico getEventoSpecialistico()

    - #### setEventoSpecialistico

          public void setEventoSpecialistico(EventoSpecialistico eventoSpecialistico)

    - #### getFlagConsenso

          public java.lang.String getFlagConsenso()

    - #### setFlagConsenso

          public void setFlagConsenso(java.lang.String flagConsenso)

    - #### getIdEvento

          public java.lang.String getIdEvento()

    - #### setIdEvento

          public void setIdEvento(java.lang.String idEvento)

    - #### getStatoEvento

          public java.lang.String getStatoEvento()

    - #### setStatoEvento

          public void setStatoEvento(java.lang.String statoEvento)

    - #### getTipoEvento

          public java.lang.String getTipoEvento()

    - #### setTipoEvento

          public void setTipoEvento(java.lang.String tipoEvento)